#!/bin/sh

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config /etc/rc.d/rc.tomcat.new
for i in `find /usr/share/tomcat/conf/ -name "*.new"`;
do
    config $i
done


/usr/sbin/groupadd -g 232 tomcat 2> /dev/null
/usr/sbin/useradd -u 232 -c "User for Apache-Tomcat" -d /usr/share/tomcat -g tomcat -s "/bin/false" tomcat 2> /dev/null
chown -R tomcat:tomcat /usr/share/tomcat

if [ "`grep -o "/etc/rc.d/rc.tomcat" /etc/rc.d/rc.local`" != "/etc/rc.d/rc.tomcat" ]; then
echo "#Starting apache-tomcat
/etc/rc.d/rc.tomcat start" >> /etc/rc.d/rc.local
fi
( cd etc ; rm -rf tomcat )
( cd etc ; ln -sf /usr/share/tomcat/conf tomcat )
( cd var/log ; rm -rf tomcat )
( cd var/log ; ln -sf /usr/share/tomcat/logs/ tomcat )
